import { Component, OnInit } from '@angular/core';
import { CvService } from '../services/cv.service';
import { IAbout } from './about.model';
import { BaseComponent } from '../base/base.component';

@Component({
  selector: 'app-about',
  templateUrl: './about.component.html',
  styleUrl: './about.component.scss'
})
export class AboutComponent extends BaseComponent<IAbout> implements OnInit {
  constructor(svc: CvService){
    super(svc);
  }

  ngOnInit(): void {
    this.getAbout();
  }

  getAbout(): void{
    this.svc.getHobbies(this.candidateId).subscribe((response: IAbout) => {
      this.svc.about = this.svc.about ?? response;
      this.assignData(response);
    });
  }
}
